%define ver	20031224

Name: 		gwave
Summary: 	GPLed Analog Waveform Viewing Environment
Version: 	0.%ver
Release: 	2mdk
Source: 	http://geda.seul.org/dist/%{name}-%{ver}.tar.bz2
Group: 		Graphics
License: 	GPL
URL: 		http://www.geda.seul.org/tools/%{name}/index.html
BuildRequires:	gtk+-devel guile-devel guile-gtk-devel
BuildRoot: 	%{_tmppath}/%{name}-%ver-root

%description

Gwave is a waveform viewer, intended originaly for displaying the output 
of analog simulators such as spice, but also useful for other purposes.
Gwave can read tabluar ascii files in additionto the specialized output
files from Spice3, NGSpice, and Hspice.  It displays the data as 2-D plots,
and allows for scrolling, zooming, and measuring the waveforms.

Install gwave if you need 2-D interactive display of analog waveforms or
other tabular data.

%prep
%setup -q -n gwave-%{ver}

%build
%configure
# (sb) parallel make fails
make 

%install
#make install DESTDIR=$RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/gwave
%{_bindir}/gwave-exec
%{_bindir}/gwaverepl
%{_bindir}/sp2sp
%{_datadir}/guile/app/gwave
%{_mandir}/man1/sp2sp.1*

%doc AUTHORS COPYING ChangeLog
%doc INSTALL NEWS README
%doc doc/sp2sp.sgml doc/spice3.txt
%doc doc/hspice.txt doc/hspice-output.txt
%doc doc/gwave-concepts.txt  doc/gwave-procedures.txt
%doc doc/gwave-hooks.txt     
# (sb) empty file
#doc/gwave-variables.txt
%doc examples

%changelog
* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.20031224-2mdk
- Rebuild for readline

* Fri Dec 17 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.20031224-1mdk
- adaptation of FC2 spec by Wojciech Kazubski 

